#!/bin/sh
#
# restarts timidity as a service or as a user process
#
# Author: JM. Philippe <jean-michel.philippe@doudoulinux.org>
#################################
# This file is part of DoudouLinux.
#
# DoudouLinux is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# DoudouLinux is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DoudouLinux.  If not, see <http://www.gnu.org/licenses/>.

# source function library
FUNCLIB=/usr/lib/doudoulinux-sound/function-lib.sh
if ! [ -f $FUNCLIB ]; then
	echo "/etc/udev/doudoulinux-alsa: cannot find '$FUNCLIB'"
	exit 1
fi
. $FUNCLIB

# reconnect MIDI devices to Timidity
restart_timidity
